### Method

# EvinceView JobLoadFd set_fd

#### Declaration [src]

    gboolean
    ev_job_load_fd_set_fd (
      EvJobLoadFd* job,
      int fd,
      GError** error
    )

#### Description [src]

Sets `fd` as the file descriptor in `job`. If duplicating `fd` fails, returns `FALSE` with `error` filled in.

Available since: | 42.0

#### Parameters

`fd` | `int`
| A file descriptor.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the file descriptor could be set.